summaryrefslogtreecommitdiffstats
path: root/source/l/iso-codes
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/iso-codes')
-rwxr-xr-xsource/l/iso-codes/iso-codes.SlackBuild68
-rw-r--r--source/l/iso-codes/iso-codes.info5
-rw-r--r--source/l/iso-codes/slack-desc12
3 files changed, 85 insertions, 0 deletions
diff --git a/source/l/iso-codes/iso-codes.SlackBuild b/source/l/iso-codes/iso-codes.SlackBuild
new file mode 100755
index 000000000..ccf423dc8
--- /dev/null
+++ b/source/l/iso-codes/iso-codes.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Copyright 2008 Heinz Wiesinger <pprkut@liwjatan.at>
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=iso-codes
+VERSION=3.8
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+NUMJOBS=${NUMJOBS:--j6}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PRGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ChangeLog INSTALL LICENSE README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PRGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/l/iso-codes/iso-codes.info b/source/l/iso-codes/iso-codes.info
new file mode 100644
index 000000000..e17632c74
--- /dev/null
+++ b/source/l/iso-codes/iso-codes.info
@@ -0,0 +1,5 @@
+PRGNAM="iso-codes"
+VERSION="3.3"
+HOMEPAGE="http://pkg-isocodes.alioth.debian.org/"
+DOWNLOAD="ftp://pkg-isocodes.alioth.debian.org/pub/pkg-isocodes/iso-codes-3.3.tar.bz2"
+MD5SUM="2fb4f5400f28923d679d7b98fd7f3ab8"
diff --git a/source/l/iso-codes/slack-desc b/source/l/iso-codes/slack-desc
new file mode 100644
index 000000000..984a17838
--- /dev/null
+++ b/source/l/iso-codes/slack-desc
@@ -0,0 +1,12 @@
+ |-----handy-ruler---------------------------------------------------|
+iso-codes: iso-codes (ISO-standard lists)
+iso-codes:
+iso-codes: This package provides lists of various ISO standards (e.g.
+iso-codes: country, language, language scripts, and currency names) in one
+iso-codes: place, rather than repeated in many programs throughout the system.
+iso-codes:
+iso-codes: Homepage: http://pkg-isocodes.alioth.debian.org/
+iso-codes:
+iso-codes:
+iso-codes:
+iso-codes: